//
//  AAICrashInfo.h
//  AAILivenessSDK
//
//  Created by advance on 2023/8/28.
//  Copyright © 2023 Advance.ai. All rights reserved.
//

#ifndef AAICrashInfo_h
#define AAICrashInfo_h
#include <mach/exception_types.h>

namespace aai
{
namespace crash
{
struct BSDSignalInfo
{
    /** The signal number. */
    int signo;
    
    /** The signal code. */
    int code;
    
    /** The signal address. */
    void *address;
};

struct MachSignalInfo
{
    /** The exception type. */
    exception_type_t type;
    
    /** The exception code(s). */
    mach_exception_data_t code;
    
    /** The number of codes supplied. */
    mach_msg_type_number_t code_count;
};


}
}

#endif /* AAICrashInfo_h */
