//
//  AAILIBDefaultMutiFileUploadStrategy.h
//  AAILivenessSDK
//
//  Created by advance on 2024/8/3.
//
#if __has_include(<AAICore/AAILIBEventProtocol.h>)
#import <AAICore/AAILIBEventProtocol.h>
#else
#import "AAILIBEventProtocol.h"
#endif

#if __has_include(<AAICore/AAILIBThreadSafeArray.h>)
#import <AAICore/AAILIBThreadSafeArray.h>
#else
#import "AAILIBThreadSafeArray.h"
#endif

#if __has_include(<AAICore/AAILIBCXXConstant.h>)
#import <AAICore/AAILIBCXXConstant.h>
#else
#import "AAILIBCXXConstant.h"
#endif


NS_ASSUME_NONNULL_BEGIN
__attribute__((visibility("default")))
@interface AAILIBDefaultMutiFileUploadStrategy : NSObject<AAILIBMutiFilesUploadStrategy>

@property(nonatomic) NSInteger maxUploadingFileNum;
@property(nonatomic) double checkInterval;
@property(nonatomic) AAILIBThreadSafeSet *filesInUpload;

AAICORE_INIT_UNAVAILABLE()

- (instancetype)initWithFileDirPath:(NSString *)fileDirPath NS_DESIGNATED_INITIALIZER;

- (void)uploadLogInfoList:(NSArray<NSDictionary *> *)logInfoList
            callbackQueue:(dispatch_queue_t)queue
               completion:(void (^ _Nullable)(BOOL))completionBlk;

- (BOOL)isUploadSuccess:(NSError* _Nullable)error;

@end

NS_ASSUME_NONNULL_END
