//
//  AAISignalHandler.hpp
//  AAILivenessSDK
//
//  Created by advance on 2023/8/29.
//  Copyright © 2023 Advance.ai. All rights reserved.
//

#ifndef AAISignalHandler_h
#define AAISignalHandler_h
#include <mach-o/dyld.h>
#include <mach/task.h>
#include "AAICrashConstant.h"
#include <map>
#include <utility>
#include <string>
#include <list>

namespace aai {
namespace crash {

using SIGTYPE = int;

static SIGTYPE gMonitoredSignals[] = {
    SIGABRT,
    SIGBUS,
    SIGFPE,
    SIGILL,
    SIGSEGV,
    SIGTRAP
};

typedef void (*SignalHandlerCallback)(int, std::string);

std::map<SIGTYPE, std::pair<bool, std::string>> enableBSDSigHandler(SignalHandlerCallback callback);

std::map<SIGTYPE, std::pair<bool, std::string>> disableBSDSigHandler();

void signalHandler(SIGTYPE signo, siginfo_t *info, void *uapVoid);

}}
#endif /* AAISignalHandler_h */
