//
//  AAICrashUtil+CtxInfo.h
//  AAICore
//
//  Created by advance on 2024/9/23.
//
#if __has_include(<AAICore/AAICrashUtil.h>)
#import <AAICore/AAICrashUtil.h>
#else
#import "AAICrashUtil.h"
#endif

#if __has_include(<AAICore/AAILIBConstant.h>)
#import <AAICore/AAILIBConstant.h>
#else
#import "AAILIBConstant.h"
#endif

NS_ASSUME_NONNULL_BEGIN
__attribute__((visibility("default")))
@interface AAICrashContext : NSObject

@property(nonatomic, copy) NSString *sdkVersion;
@property(nonatomic, copy) NSString *bizType;
@property(nonatomic, copy) NSString *sessionId;
@property(nonatomic, copy) NSString *networkStatus;
@property(nonatomic, copy, nullable) NSString *coldStartTid;
@property(nonatomic) AAILIBPluginType pluginType;

@end

typedef NS_ENUM(NSUInteger, AAICrashInfoValueType) {
    AAICrashInfoValueTypeInteger = 1,
    AAICrashInfoValueTypeDouble = 2,
    AAICrashInfoValueTypeStr = 3
};

__attribute__((visibility("default")))
@interface AAICrashUtil(CtxInfo)

+ (void)appendDefaultCrashContext:(AAICrashContext *)context;

+ (void)appendCtxInfoForKey:(NSString *)key value:(id)value valueType:(AAICrashInfoValueType)valueType;

+ (NSDictionary * _Nullable)tryLoadAndRemovePendingCrashReport;

@end

__attribute__((visibility("default")))
@interface AAICrashUtil(Frames)

+ (NSString *)currThreadFramesDesc:(BOOL)boolValue;

@end
NS_ASSUME_NONNULL_END
