//
//  AAIFrameCusor.hpp
//  AAILivenessSDK
//
//  Created by advance on 2023/11/13.
//  Copyright © 2023 Advance.ai. All rights reserved.
//

#ifndef AAIFrameCusor_hpp
#define AAIFrameCusor_hpp

#include <string>
#include <list>
#include <mach/mach.h>

namespace aai
{
namespace crash
{

struct Frame {
    int currDepth = 0;
    uintptr_t address = 0;
    
    uintptr_t imageAddress = 0;
    const char* imageName = nullptr;
    
    uintptr_t symbolAddress = 0;
    const char* symbolName = nullptr;
};

struct ThreadFrame {
    std::string threadName;
    std::list<Frame> frames;
};

struct ImageInfo {
    std::string name;
    uintptr_t address;
};

std::pair<std::list<Frame>, std::string> getCurrThreadFrames(bool ignoreInternalCallFrame = true);

std::list<ThreadFrame> getAllThreadFrames();

std::string framesDescription(std::list<Frame> &frames, bool shortImageName = false);

std::vector<ImageInfo> imageAddress(std::list<Frame> &frames);

}}
#endif /* AAIFrameCusor_hpp */
