//
//  AAIFrameUtil.hpp
//  AAILivenessSDK
//
//  Created by advance on 2024/4/15.
//  Copyright © 2024 Advance.ai. All rights reserved.
//

#ifndef AAIFrameUtil_hpp
#define AAIFrameUtil_hpp

#include <string>
#include <list>
#include <mach/mach.h>

#ifdef ENABLE_CRASH_LOG

#ifndef AAI_CRASH_LOG
#define AAI_CRASH_LOG( expression ) aai::crash::log( [&](){ return expression; } )
#endif

#else

#ifndef AAI_CRASH_LOG
#define AAI_CRASH_LOG( expression ) 
#endif

#endif

namespace aai
{
namespace crash
{

void suspendEnvironment(thread_act_array_t &threads, mach_msg_type_number_t &threadsNum);
void resumeEnvironment(thread_act_array_t threads, mach_msg_type_number_t threadsNum);

thread_t my_thread_self();

void log(std::function<std::string()> logExpr);

uintptr_t normalizeAddress(uintptr_t address);

int64_t getTimestamp(void);

}}
#endif /* AAIFrameUtil_hpp */
