//
//  aai_lib_obf_s.hpp
//  AAILivenessSDK
//
//  Created by advance on 2024/4/1.
//  Copyright © 2024 Advance.ai. All rights reserved.
//

#ifndef aai_lib_obf_s_hpp
#define aai_lib_obf_s_hpp

#include "aai_lib_obf.h"

namespace aai {
namespace obf {

/**
 /usr/lib/system/libsystem_kernel.dylib
 */
static EncryptStringData t1 = {
    .factor = (char)-9,
    .value = (char []){-40,-126,-124,-123,-40,-101,-98,-107,-40,-124,-114,-124,-125,-110,-102,-40,-101,-98,-107,-124,-114,-124,-125,-110,-102,-88,-100,-110,-123,-103,-110,-101,-39,-109,-114,-101,-98,-107,0},
    .length = 38
};

/** 
 /Applications/Cydia.app
 */
static EncryptStringData t2 = {
    .factor = (char)75,
    .value = (char []){100,10,59,59,39,34,40,42,63,34,36,37,56,100,8,50,47,34,42,101,42,59,59,0},
    .length = 23
};

/**
 /Library/MobileSubstrate/MobileSubstrate.dylib
 */
static EncryptStringData t3 = {
    .factor = (char)-55,
    .value = (char []){-26,-123,-96,-85,-69,-88,-69,-80,-26,-124,-90,-85,-96,-91,-84,-102,-68,-85,-70,-67,-69,-88,-67,-84,-26,-124,-90,-85,-96,-91,-84,-102,-68,-85,-70,-67,-69,-88,-67,-84,-25,-83,-80,-91,-96,-85,0},
    .length = 46
};

/**
 /bin/bash
 */
static EncryptStringData t4 = {
    .factor = (char)3,
    .value = (char []){44,97,106,109,44,97,98,112,107,0},
    .length = 9
};

/**
 /usr/sbin/sshd
 */
static EncryptStringData t5 = {
    .factor = (char)101,
    .value = (char []){74,16,22,23,74,22,7,12,11,74,22,22,13,1,0},
    .length = 14
};

/**
 /etc/apt
 */
static EncryptStringData t6 = {
    .factor = (char)12,
    .value = (char []){35,105,120,111,35,109,124,120,0},
    .length = 8
};

/**
 /var/jb
 */
static EncryptStringData t7 = {
    .factor = (char)-21,
    .value = (char []){-60,-99,-118,-103,-60,-127,-119,0},
    .length = 7
};

/**
 User/Applications/
 */
static EncryptStringData t9 = {
    .factor = (char)115,
    .value = (char []){38,0,22,1,92,50,3,3,31,26,16,18,7,26,28,29,0,92,0},
    .length = 18
};

/**
 cydia://
 */
static EncryptStringData t10 = {
    .factor = (char)24,
    .value = (char []){123,97,124,113,121,34,55,55,0},
    .length = 8
};

/**
 SIMULATOR_DEVICE_NAME
 */
static EncryptStringData t11 = {
    .factor = (char)-100,
    .value = (char []){-49,-43,-47,-55,-48,-35,-56,-45,-50,-61,-40,-39,-54,-43,-33,-39,-61,-46,-35,-47,-39,0},
    .length = 21
};

/* isSimulator */
static EncryptStringData t12 = {
    .factor = (char)113,
    .value = (char []){24,2,34,24,28,4,29,16,5,30,3,0},
    .length = 11
};

/* isRoot */
static EncryptStringData t13 = {
    .factor = (char)75,
    .value = (char []){34,56,25,36,36,63,0},
    .length = 6
};

/* isConnectVPN */
static EncryptStringData t14 = {
    .factor = (char)2,
    .value = (char []){107,113,65,109,108,108,103,97,118,84,82,76,0},
    .length = 12
};

/* isAttached */
static EncryptStringData t15 = {
    .factor = (char)-67,
    .value = (char []){-44,-50,-4,-55,-55,-36,-34,-43,-40,-39,0},
    .length = 10
};


/* /.bootstrapped_electra */
static EncryptStringData t16 = {
    .factor = (char)-87,
    .value = (char []){-122,-121,-53,-58,-58,-35,-38,-35,-37,-56,-39,-39,-52,-51,-10,-52,-59,-52,-54,-35,-37,-56,0},
    .length = 22
};

/* /.cydia_no_stash */
static EncryptStringData t17 = {
    .factor = (char)50,
    .value = (char []){29,28,81,75,86,91,83,109,92,93,109,65,70,83,65,90,0},
    .length = 16
};

/* /.installed_unc0ver */
static EncryptStringData t18 = {
    .factor = (char)36,
    .value = (char []){11,10,77,74,87,80,69,72,72,65,64,123,81,74,71,20,82,65,86,0},
    .length = 19
};

/* /Applications/Cydia.app */
static EncryptStringData t19 = {
    .factor = (char)67,
    .value = (char []){108,2,51,51,47,42,32,34,55,42,44,45,48,108,0,58,39,42,34,109,34,51,51,0},
    .length = 23
};

/* /Applications/FakeCarrier.app */
static EncryptStringData t20 = {
    .factor = (char)-125,
    .value = (char []){-84,-62,-13,-13,-17,-22,-32,-30,-9,-22,-20,-19,-16,-84,-59,-30,-24,-26,-64,-30,-15,-15,-22,-26,-15,-83,-30,-13,-13,0},
    .length = 29
};

/* /Applications/Icy.app */
static EncryptStringData t21 = {
    .factor = (char)24,
    .value = (char []){55,89,104,104,116,113,123,121,108,113,119,118,107,55,81,123,97,54,121,104,104,0},
    .length = 21
};

/* /Applications/IntelliScreen.app */
static EncryptStringData t22 = {
    .factor = (char)-11,
    .value = (char []){-38,-76,-123,-123,-103,-100,-106,-108,-127,-100,-102,-101,-122,-38,-68,-101,-127,-112,-103,-103,-100,-90,-106,-121,-112,-112,-101,-37,-108,-123,-123,0},
    .length = 31
};

/* /Applications/MxTube.app */
static EncryptStringData t23 = {
    .factor = (char)-100,
    .value = (char []){-77,-35,-20,-20,-16,-11,-1,-3,-24,-11,-13,-14,-17,-77,-47,-28,-56,-23,-2,-7,-78,-3,-20,-20,0},
    .length = 24
};

/* /Applications/RockApp.app */
static EncryptStringData t24 = {
    .factor = (char)-79,
    .value = (char []){-98,-16,-63,-63,-35,-40,-46,-48,-59,-40,-34,-33,-62,-98,-29,-34,-46,-38,-16,-63,-63,-97,-48,-63,-63,0},
    .length = 25
};

/* /Applications/SBSettings.app */
static EncryptStringData t25 = {
    .factor = (char)-105,
    .value = (char []){-72,-42,-25,-25,-5,-2,-12,-10,-29,-2,-8,-7,-28,-72,-60,-43,-60,-14,-29,-29,-2,-7,-16,-28,-71,-10,-25,-25,0},
    .length = 28
};

/* /Applications/Sileo.app */
static EncryptStringData t26 = {
    .factor = (char)35,
    .value = (char []){12,98,83,83,79,74,64,66,87,74,76,77,80,12,112,74,79,70,76,13,66,83,83,0},
    .length = 23
};

/* /Applications/Snoop-itConfig.app */
static EncryptStringData t27 = {
    .factor = (char)121,
    .value = (char []){86,56,9,9,21,16,26,24,13,16,22,23,10,86,42,23,22,22,9,84,16,13,58,22,23,31,16,30,87,24,9,9,0},
    .length = 32
};

/* /Applications/WinterBoard.app */
static EncryptStringData t28 = {
    .factor = (char)113,
    .value = (char []){94,48,1,1,29,24,18,16,5,24,30,31,2,94,38,24,31,5,20,3,51,30,16,3,21,95,16,1,1,0},
    .length = 29
};

/* /Applications/blackra1n.app */
static EncryptStringData t29 = {
    .factor = (char)-95,
    .value = (char []){-114,-32,-47,-47,-51,-56,-62,-64,-43,-56,-50,-49,-46,-114,-61,-51,-64,-62,-54,-45,-64,-112,-49,-113,-64,-47,-47,0},
    .length = 27
};

/* /Library/MobileSubstrate/CydiaSubstrate.dylib */
static EncryptStringData t30 = {
    .factor = (char)-118,
    .value = (char []){-91,-58,-29,-24,-8,-21,-8,-13,-91,-57,-27,-24,-29,-26,-17,-39,-1,-24,-7,-2,-8,-21,-2,-17,-91,-55,-13,-18,-29,-21,-39,-1,-24,-7,-2,-8,-21,-2,-17,-92,-18,-13,-26,-29,-24,0},
    .length = 45
};

/* /Library/MobileSubstrate/DynamicLibraries/LiveClock.plist */
static EncryptStringData t31 = {
    .factor = (char)54,
    .value = (char []){25,122,95,84,68,87,68,79,25,123,89,84,95,90,83,101,67,84,69,66,68,87,66,83,25,114,79,88,87,91,95,85,122,95,84,68,87,68,95,83,69,25,122,95,64,83,117,90,89,85,93,24,70,90,95,69,66,0},
    .length = 57
};

/* /Library/MobileSubstrate/DynamicLibraries/Veency.plist */
static EncryptStringData t32 = {
    .factor = (char)-49,
    .value = (char []){-32,-125,-90,-83,-67,-82,-67,-74,-32,-126,-96,-83,-90,-93,-86,-100,-70,-83,-68,-69,-67,-82,-69,-86,-32,-117,-74,-95,-82,-94,-90,-84,-125,-90,-83,-67,-82,-67,-90,-86,-68,-32,-103,-86,-86,-95,-84,-74,-31,-65,-93,-90,-68,-69,0},
    .length = 54
};

/* /Library/MobileSubstrate/MobileSubstrate.dylib */
static EncryptStringData t33 = {
    .factor = (char)-92,
    .value = (char []){-117,-24,-51,-58,-42,-59,-42,-35,-117,-23,-53,-58,-51,-56,-63,-9,-47,-58,-41,-48,-42,-59,-48,-63,-117,-23,-53,-58,-51,-56,-63,-9,-47,-58,-41,-48,-42,-59,-48,-63,-118,-64,-35,-56,-51,-58,0},
    .length = 46
};

/* /Library/PreferenceBundles/ABypassPrefs.bundle */
static EncryptStringData t34 = {
    .factor = (char)94,
    .value = (char []){113,18,55,60,44,63,44,39,113,14,44,59,56,59,44,59,48,61,59,28,43,48,58,50,59,45,113,31,28,39,46,63,45,45,14,44,59,56,45,112,60,43,48,58,50,59,0},
    .length = 46
};

/* /Library/PreferenceBundles/FlyJBPrefs.bundle */
static EncryptStringData t35 = {
    .factor = (char)-58,
    .value = (char []){-23,-118,-81,-92,-76,-89,-76,-65,-23,-106,-76,-93,-96,-93,-76,-93,-88,-91,-93,-124,-77,-88,-94,-86,-93,-75,-23,-128,-86,-65,-116,-124,-106,-76,-93,-96,-75,-24,-92,-77,-88,-94,-86,-93,0},
    .length = 44
};

/* /Library/PreferenceBundles/LibertyPref.bundle */
static EncryptStringData t36 = {
    .factor = (char)-15,
    .value = (char []){-34,-67,-104,-109,-125,-112,-125,-120,-34,-95,-125,-108,-105,-108,-125,-108,-97,-110,-108,-77,-124,-97,-107,-99,-108,-126,-34,-67,-104,-109,-108,-125,-123,-120,-95,-125,-108,-105,-33,-109,-124,-97,-107,-99,-108,0},
    .length = 45
};

/* /Library/PreferenceBundles/ShadowPreferences.bundle */
static EncryptStringData t37 = {
    .factor = (char)37,
    .value = (char []){10,105,76,71,87,68,87,92,10,117,87,64,67,64,87,64,75,70,64,103,80,75,65,73,64,86,10,118,77,68,65,74,82,117,87,64,67,64,87,64,75,70,64,86,11,71,80,75,65,73,64,0},
    .length = 51
};

/* /System/Library/LaunchDaemons/com.ikey.bbot.plist */
static EncryptStringData t38 = {
    .factor = (char)19,
    .value = (char []){60,64,106,96,103,118,126,60,95,122,113,97,114,97,106,60,95,114,102,125,112,123,87,114,118,126,124,125,96,60,112,124,126,61,122,120,118,106,61,113,113,124,103,61,99,127,122,96,103,0},
    .length = 49
};

/* /System/Library/LaunchDaemons/com.saurik.Cydia.Startup.plist */
static EncryptStringData t39 = {
    .factor = (char)4,
    .value = (char []){43,87,125,119,112,97,105,43,72,109,102,118,101,118,125,43,72,101,113,106,103,108,64,101,97,105,107,106,119,43,103,107,105,42,119,101,113,118,109,111,42,71,125,96,109,101,42,87,112,101,118,112,113,116,42,116,104,109,119,112,0},
    .length = 60
};

/* /bin/bash */
static EncryptStringData t40 = {
    .factor = (char)-101,
    .value = (char []){-76,-7,-14,-11,-76,-7,-6,-24,-13,0},
    .length = 9
};

/* /bin/sh */
static EncryptStringData t41 = {
    .factor = (char)-70,
    .value = (char []){-107,-40,-45,-44,-107,-55,-46,0},
    .length = 7
};

/* /etc/apt */
static EncryptStringData t42 = {
    .factor = (char)67,
    .value = (char []){108,38,55,32,108,34,51,55,0},
    .length = 8
};

/* /etc/apt/sources.list.d/electra.list */
static EncryptStringData t43 = {
    .factor = (char)-31,
    .value = (char []){-50,-124,-107,-126,-50,-128,-111,-107,-50,-110,-114,-108,-109,-126,-124,-110,-49,-115,-120,-110,-107,-49,-123,-50,-124,-115,-124,-126,-107,-109,-128,-49,-115,-120,-110,-107,0},
    .length = 36
};

/* /etc/apt/sources.list.d/sileo.sources */
static EncryptStringData t44 = {
    .factor = (char)-85,
    .value = (char []){-124,-50,-33,-56,-124,-54,-37,-33,-124,-40,-60,-34,-39,-56,-50,-40,-123,-57,-62,-40,-33,-123,-49,-124,-40,-62,-57,-50,-60,-123,-40,-60,-34,-39,-56,-50,-40,0},
    .length = 37
};

/* /etc/apt/undecimus/undecimus.list */
static EncryptStringData t45 = {
    .factor = (char)-34,
    .value = (char []){-15,-69,-86,-67,-15,-65,-82,-86,-15,-85,-80,-70,-69,-67,-73,-77,-85,-83,-15,-85,-80,-70,-69,-67,-73,-77,-85,-83,-16,-78,-73,-83,-86,0},
    .length = 33
};

/* /etc/ssh/sshd_config */
static EncryptStringData t46 = {
    .factor = (char)120,
    .value = (char []){87,29,12,27,87,11,11,16,87,11,11,16,28,39,27,23,22,30,17,31,0},
    .length = 20
};

/* /jb/amfid_payload.dylib */
static EncryptStringData t47 = {
    .factor = (char)-122,
    .value = (char []){-87,-20,-28,-87,-25,-21,-32,-17,-30,-39,-10,-25,-1,-22,-23,-25,-30,-88,-30,-1,-22,-17,-28,0},
    .length = 23
};

/* /jb/jailbreakd.plist */
static EncryptStringData t48 = {
    .factor = (char)126,
    .value = (char []){81,20,28,81,20,31,23,18,28,12,27,31,21,26,80,14,18,23,13,10,0},
    .length = 20
};

/* /jb/libjailbreak.dylib */
static EncryptStringData t49 = {
    .factor = (char)-48,
    .value = (char []){-1,-70,-78,-1,-68,-71,-78,-70,-79,-71,-68,-78,-94,-75,-79,-69,-2,-76,-87,-68,-71,-78,0},
    .length = 22
};

/* /jb/lzma */
static EncryptStringData t50 = {
    .factor = (char)76,
    .value = (char []){99,38,46,99,32,54,33,45,0},
    .length = 8
};

/* /jb/offsets.plist */
static EncryptStringData t51 = {
    .factor = (char)9,
    .value = (char []){38,99,107,38,102,111,111,122,108,125,122,39,121,101,96,122,125,0},
    .length = 17
};

/* /private/etc/apt */
static EncryptStringData t52 = {
    .factor = (char)-80,
    .value = (char []){-97,-64,-62,-39,-58,-47,-60,-43,-97,-43,-60,-45,-97,-47,-64,-60,0},
    .length = 16
};

/* /private/etc/dpkg/origins/debian */
static EncryptStringData t53 = {
    .factor = (char)-87,
    .value = (char []){-122,-39,-37,-64,-33,-56,-35,-52,-122,-52,-35,-54,-122,-51,-39,-62,-50,-122,-58,-37,-64,-50,-64,-57,-38,-122,-51,-52,-53,-64,-56,-57,0},
    .length = 32
};

/* /private/etc/ssh/sshd_config */
static EncryptStringData t54 = {
    .factor = (char)49,
    .value = (char []){30,65,67,88,71,80,69,84,30,84,69,82,30,66,66,89,30,66,66,89,85,110,82,94,95,87,88,86,0},
    .length = 28
};

/* /private/var/Users/ */
static EncryptStringData t55 = {
    .factor = (char)-84,
    .value = (char []){-125,-36,-34,-59,-38,-51,-40,-55,-125,-38,-51,-34,-125,-7,-33,-55,-34,-33,-125,0},
    .length = 19
};

/* /private/var/cache/apt/ */
static EncryptStringData t56 = {
    .factor = (char)-6,
    .value = (char []){-43,-118,-120,-109,-116,-101,-114,-97,-43,-116,-101,-120,-43,-103,-101,-103,-110,-97,-43,-101,-118,-114,-43,0},
    .length = 23
};

/* /private/var/lib/apt */
static EncryptStringData t57 = {
    .factor = (char)52,
    .value = (char []){27,68,70,93,66,85,64,81,27,66,85,70,27,88,93,86,27,85,68,64,0},
    .length = 20
};

/* /private/var/lib/cydia */
static EncryptStringData t58 = {
    .factor = (char)85,
    .value = (char []){122,37,39,60,35,52,33,48,122,35,52,39,122,57,60,55,122,54,44,49,60,52,0},
    .length = 22
};

/* /private/var/log/syslog */
static EncryptStringData t59 = {
    .factor = (char)30,
    .value = (char []){49,110,108,119,104,127,106,123,49,104,127,108,49,114,113,121,49,109,103,109,114,113,121,0},
    .length = 23
};

/* /private/var/mobile/Library/SBSettings/Themes */
static EncryptStringData t60 = {
    .factor = (char)-57,
    .value = (char []){-24,-73,-75,-82,-79,-90,-77,-94,-24,-79,-90,-75,-24,-86,-88,-91,-82,-85,-94,-24,-117,-82,-91,-75,-90,-75,-66,-24,-108,-123,-108,-94,-77,-77,-82,-87,-96,-76,-24,-109,-81,-94,-86,-94,-76,0},
    .length = 45
};

/* /private/var/stash */
static EncryptStringData t61 = {
    .factor = (char)-10,
    .value = (char []){-39,-122,-124,-97,-128,-105,-126,-109,-39,-128,-105,-124,-39,-123,-126,-105,-123,-98,0},
    .length = 18
};

/* /private/var/tmp/cydia.log */
static EncryptStringData t62 = {
    .factor = (char)-88,
    .value = (char []){-121,-40,-38,-63,-34,-55,-36,-51,-121,-34,-55,-38,-121,-36,-59,-40,-121,-53,-47,-52,-63,-55,-122,-60,-57,-49,0},
    .length = 26
};

/* /var/tmp/cydia.log */
static EncryptStringData t63 = {
    .factor = (char)-86,
    .value = (char []){-123,-36,-53,-40,-123,-34,-57,-38,-123,-55,-45,-50,-61,-53,-124,-58,-59,-51,0},
    .length = 18
};

/* /usr/bin/cycript */
static EncryptStringData t64 = {
    .factor = (char)66,
    .value = (char []){109,55,49,48,109,32,43,44,109,33,59,33,48,43,50,54,0},
    .length = 16
};

/* /usr/bin/sshd */
static EncryptStringData t65 = {
    .factor = (char)98,
    .value = (char []){77,23,17,16,77,0,11,12,77,17,17,10,6,0},
    .length = 13
};

/* /usr/lib/libcycript.dylib */
static EncryptStringData t66 = {
    .factor = (char)75,
    .value = (char []){100,62,56,57,100,39,34,41,100,39,34,41,40,50,40,57,34,59,63,101,47,50,39,34,41,0},
    .length = 25
};

/* /usr/lib/libhooker.dylib */
static EncryptStringData t67 = {
    .factor = (char)124,
    .value = (char []){83,9,15,14,83,16,21,30,83,16,21,30,20,19,19,23,25,14,82,24,5,16,21,30,0},
    .length = 24
};

/* /usr/lib/libjailbreak.dylib */
static EncryptStringData t68 = {
    .factor = (char)-104,
    .value = (char []){-73,-19,-21,-22,-73,-12,-15,-6,-73,-12,-15,-6,-14,-7,-15,-12,-6,-22,-3,-7,-13,-74,-4,-31,-12,-15,-6,0},
    .length = 27
};

/* /usr/lib/libsubstitute.dylib */
static EncryptStringData t69 = {
    .factor = (char)-71,
    .value = (char []){-106,-52,-54,-53,-106,-43,-48,-37,-106,-43,-48,-37,-54,-52,-37,-54,-51,-48,-51,-52,-51,-36,-105,-35,-64,-43,-48,-37,0},
    .length = 28
};

/* /usr/lib/substrate */
static EncryptStringData t70 = {
    .factor = (char)92,
    .value = (char []){115,41,47,46,115,48,53,62,115,47,41,62,47,40,46,61,40,57,0},
    .length = 18
};

/* /usr/lib/TweakInject */
static EncryptStringData t71 = {
    .factor = (char)83,
    .value = (char []){124,38,32,33,124,63,58,49,124,7,36,54,50,56,26,61,57,54,48,39,0},
    .length = 20
};

/* /usr/libexec/cydia */
static EncryptStringData t72 = {
    .factor = (char)-4,
    .value = (char []){-45,-119,-113,-114,-45,-112,-107,-98,-103,-124,-103,-97,-45,-97,-123,-104,-107,-99,0},
    .length = 18
};

/* /usr/libexec/cydia/firmware.sh */
static EncryptStringData t73 = {
    .factor = (char)-13,
    .value = (char []){-36,-122,-128,-127,-36,-97,-102,-111,-106,-117,-106,-112,-36,-112,-118,-105,-102,-110,-36,-107,-102,-127,-98,-124,-110,-127,-106,-35,-128,-101,0},
    .length = 30
};

/* /usr/libexec/sftp-server */
static EncryptStringData t74 = {
    .factor = (char)28,
    .value = (char []){51,105,111,110,51,112,117,126,121,100,121,127,51,111,122,104,108,49,111,121,110,106,121,110,0},
    .length = 24
};

/* /usr/libexec/ssh-keysign */
static EncryptStringData t75 = {
    .factor = (char)-94,
    .value = (char []){-115,-41,-47,-48,-115,-50,-53,-64,-57,-38,-57,-63,-115,-47,-47,-54,-113,-55,-57,-37,-47,-53,-59,-52,0},
    .length = 24
};

/* /usr/local/bin/cycript */
static EncryptStringData t76 = {
    .factor = (char)125,
    .value = (char []){82,8,14,15,82,17,18,30,28,17,82,31,20,19,82,30,4,30,15,20,13,9,0},
    .length = 22
};

/* /usr/sbin/frida-server */
static EncryptStringData t77 = {
    .factor = (char)93,
    .value = (char []){114,40,46,47,114,46,63,52,51,114,59,47,52,57,60,112,46,56,47,43,56,47,0},
    .length = 22
};

/* /usr/sbin/sshd */
static EncryptStringData t78 = {
    .factor = (char)8,
    .value = (char []){39,125,123,122,39,123,106,97,102,39,123,123,96,108,0},
    .length = 14
};

/* /usr/share/jailbreak/injectme.plist */
static EncryptStringData t79 = {
    .factor = (char)-63,
    .value = (char []){-18,-76,-78,-77,-18,-78,-87,-96,-77,-92,-18,-85,-96,-88,-83,-93,-77,-92,-96,-86,-18,-88,-81,-85,-92,-94,-75,-84,-92,-17,-79,-83,-88,-78,-75,0},
    .length = 35
};

/* /var/binpack */
static EncryptStringData t80 = {
    .factor = (char)-4,
    .value = (char []){-45,-118,-99,-114,-45,-98,-107,-110,-116,-99,-97,-105,0},
    .length = 12
};

/* /var/cache/apt */
static EncryptStringData t81 = {
    .factor = (char)-67,
    .value = (char []){-110,-53,-36,-49,-110,-34,-36,-34,-43,-40,-110,-36,-51,-55,0},
    .length = 14
};

/* /var/checkra1n.dmg */
static EncryptStringData t82 = {
    .factor = (char)-61,
    .value = (char []){-20,-75,-94,-79,-20,-96,-85,-90,-96,-88,-79,-94,-14,-83,-19,-89,-82,-92,0},
    .length = 18
};

/* /var/lib/apt */
static EncryptStringData t83 = {
    .factor = (char)-52,
    .value = (char []){-29,-70,-83,-66,-29,-96,-91,-82,-29,-83,-68,-72,0},
    .length = 12
};

/* /var/lib/cydia */
static EncryptStringData t84 = {
    .factor = (char)49,
    .value = (char []){30,71,80,67,30,93,88,83,30,82,72,85,88,80,0},
    .length = 14
};

/* /var/lib/dpkg/info/mobilesubstrate.md5sums */
static EncryptStringData t85 = {
    .factor = (char)114,
    .value = (char []){93,4,19,0,93,30,27,16,93,22,2,25,21,93,27,28,20,29,93,31,29,16,27,30,23,1,7,16,1,6,0,19,6,23,92,31,22,71,1,7,31,1,0},
    .length = 42
};

/* /var/log/apt */
static EncryptStringData t86 = {
    .factor = (char)14,
    .value = (char []){33,120,111,124,33,98,97,105,33,111,126,122,0},
    .length = 12
};


/* activator://package/com.example.package */
static EncryptStringData t110 = {
    .factor = (char)44,
    .value = (char []){77,79,88,69,90,77,88,67,94,22,3,3,92,77,79,71,77,75,73,3,79,67,65,2,73,84,77,65,92,64,73,2,92,77,79,71,77,75,73,0},
    .length = 39
};

/* cydia://package/com.example.package */
static EncryptStringData t111 = {
    .factor = (char)-3,
    .value = (char []){-98,-124,-103,-108,-100,-57,-46,-46,-115,-100,-98,-106,-100,-102,-104,-46,-98,-110,-112,-45,-104,-123,-100,-112,-115,-111,-104,-45,-115,-100,-98,-106,-100,-102,-104,0},
    .length = 35
};

/* filza://package/com.example.package */
static EncryptStringData t112 = {
    .factor = (char)-94,
    .value = (char []){-60,-53,-50,-40,-61,-104,-115,-115,-46,-61,-63,-55,-61,-59,-57,-115,-63,-51,-49,-116,-57,-38,-61,-49,-46,-50,-57,-116,-46,-61,-63,-55,-61,-59,-57,0},
    .length = 35
};

/* sileo://package/com.example.package */
static EncryptStringData t113 = {
    .factor = (char)-15,
    .value = (char []){-126,-104,-99,-108,-98,-53,-34,-34,-127,-112,-110,-102,-112,-106,-108,-34,-110,-98,-100,-33,-108,-119,-112,-100,-127,-99,-108,-33,-127,-112,-110,-102,-112,-106,-108,0},
    .length = 35
};

/* undecimus://package/com.example.package */
static EncryptStringData t114 = {
    .factor = (char)-119,
    .value = (char []){-4,-25,-19,-20,-22,-32,-28,-4,-6,-77,-90,-90,-7,-24,-22,-30,-24,-18,-20,-90,-22,-26,-28,-89,-20,-15,-24,-28,-7,-27,-20,-89,-7,-24,-22,-30,-24,-18,-20,0},
    .length = 39
};

/* zbra://package/com.example.package */
static EncryptStringData t115 = {
    .factor = (char)115,
    .value = (char []){9,17,1,18,73,92,92,3,18,16,24,18,20,22,92,16,28,30,93,22,11,18,30,3,31,22,93,3,18,16,24,18,20,22,0},
    .length = 34
};


/* /var/lib/undecimus/apt */
static EncryptStringData t130 = {
    .factor = (char)125,
    .value = (char []){82,11,28,15,82,17,20,31,82,8,19,25,24,30,20,16,8,14,82,28,13,9,0},
    .length = 22
};

/* /Applications */
static EncryptStringData t131 = {
    .factor = (char)56,
    .value = (char []){23,121,72,72,84,81,91,89,76,81,87,86,75,0},
    .length = 13
};

/* /Library/Ringtones */
static EncryptStringData t132 = {
    .factor = (char)-54,
    .value = (char []){-27,-122,-93,-88,-72,-85,-72,-77,-27,-104,-93,-92,-83,-66,-91,-92,-81,-71,0},
    .length = 18
};

/* /Library/Wallpaper */
static EncryptStringData t133 = {
    .factor = (char)38,
    .value = (char []){9,106,79,68,84,71,84,95,9,113,71,74,74,86,71,86,67,84,0},
    .length = 18
};

/* /usr/arm-apple-darwin9 */
static EncryptStringData t134 = {
    .factor = (char)-81,
    .value = (char []){-128,-38,-36,-35,-128,-50,-35,-62,-126,-50,-33,-33,-61,-54,-126,-53,-50,-35,-40,-58,-63,-106,0},
    .length = 22
};

/* /usr/include */
static EncryptStringData t135 = {
    .factor = (char)33,
    .value = (char []){14,84,82,83,14,72,79,66,77,84,69,68,0},
    .length = 12
};

/* /usr/libexec */
static EncryptStringData t136 = {
    .factor = (char)-23,
    .value = (char []){-58,-100,-102,-101,-58,-123,-128,-117,-116,-111,-116,-118,0},
    .length = 12
};

/* /usr/share */
static EncryptStringData t137 = {
    .factor = (char)56,
    .value = (char []){23,77,75,74,23,75,80,89,74,93,0},
    .length = 10
};


/* ...!@# */
static EncryptStringData d1 = {
    .factor = (char)-11,
    .value = (char []){-37,-37,-37,-44,-75,-42,0},
    .length = 6
};

/* /.file */
static EncryptStringData d2 = {
    .factor = (char)-114,
    .value = (char []){-95,-96,-24,-25,-30,-21,0},
    .length = 6
};

/* /usr/lib/Cephei.framework/Cephei */
static EncryptStringData d3 = {
    .factor = (char)-48,
    .value = (char []){-1,-91,-93,-94,-1,-68,-71,-78,-1,-109,-75,-96,-72,-75,-71,-2,-74,-94,-79,-67,-75,-89,-65,-94,-69,-1,-109,-75,-96,-72,-75,-71,0},
    .length = 32
};

/* 0Shadow.dylib */
static EncryptStringData d4 = {
    .factor = (char)103,
    .value = (char []){87,52,15,6,3,8,16,73,3,30,11,14,5,0},
    .length = 13
};

/* ABypass */
static EncryptStringData d5 = {
    .factor = (char)94,
    .value = (char []){31,28,39,46,63,45,45,0},
    .length = 7
};

/* Cephei */
static EncryptStringData d6 = {
    .factor = (char)-69,
    .value = (char []){-8,-34,-53,-45,-34,-46,0},
    .length = 6
};

/* CustomWidgetIcons */
static EncryptStringData d7 = {
    .factor = (char)-108,
    .value = (char []){-41,-31,-25,-32,-5,-7,-61,-3,-16,-13,-15,-32,-35,-9,-5,-6,-25,0},
    .length = 17
};

/* CydiaSubstrate */
static EncryptStringData d8 = {
    .factor = (char)-2,
    .value = (char []){-67,-121,-102,-105,-97,-83,-117,-100,-115,-118,-116,-97,-118,-101,0},
    .length = 14
};

/* Electra */
static EncryptStringData d9 = {
    .factor = (char)1,
    .value = (char []){68,109,100,98,117,115,96,0},
    .length = 7
};

/* FlyJB */
static EncryptStringData d10 = {
    .factor = (char)82,
    .value = (char []){20,62,43,24,16,0},
    .length = 5
};

/* FridaGadget */
static EncryptStringData d11 = {
    .factor = (char)108,
    .value = (char []){42,30,5,8,13,43,13,8,11,9,24,0},
    .length = 11
};

/* MobileSubstrate.dylib */
static EncryptStringData d12 = {
    .factor = (char)-14,
    .value = (char []){-65,-99,-112,-101,-98,-105,-95,-121,-112,-127,-122,-128,-109,-122,-105,-36,-106,-117,-98,-101,-112,0},
    .length = 21
};

/* PreferenceLoader */
static EncryptStringData d13 = {
    .factor = (char)-98,
    .value = (char []){-50,-20,-5,-8,-5,-20,-5,-16,-3,-5,-46,-15,-1,-6,-5,-20,0},
    .length = 16
};

/* RocketBootstrap */
static EncryptStringData d14 = {
    .factor = (char)71,
    .value = (char []){21,40,36,44,34,51,5,40,40,51,52,51,53,38,55,0},
    .length = 15
};

/* SSLKillSwitch.dylib */
static EncryptStringData d15 = {
    .factor = (char)-11,
    .value = (char []){-90,-90,-71,-66,-100,-103,-103,-90,-126,-100,-127,-106,-99,-37,-111,-116,-103,-100,-105,0},
    .length = 19
};

/* SSLKillSwitch2.dylib */
static EncryptStringData d16 = {
    .factor = (char)-8,
    .value = (char []){-85,-85,-76,-77,-111,-108,-108,-85,-113,-111,-116,-101,-112,-54,-42,-100,-127,-108,-111,-102,0},
    .length = 20
};

/* Substitute */
static EncryptStringData d17 = {
    .factor = (char)37,
    .value = (char []){118,80,71,86,81,76,81,80,81,64,0},
    .length = 10
};

/* SubstrateBootstrap */
static EncryptStringData d18 = {
    .factor = (char)18,
    .value = (char []){65,103,112,97,102,96,115,102,119,80,125,125,102,97,102,96,115,98,0},
    .length = 18
};

/* SubstrateInserter */
static EncryptStringData d19 = {
    .factor = (char)32,
    .value = (char []){115,85,66,83,84,82,65,84,69,105,78,83,69,82,84,69,82,0},
    .length = 17
};

/* SubstrateInserter.dylib */
static EncryptStringData d20 = {
    .factor = (char)-115,
    .value = (char []){-34,-8,-17,-2,-7,-1,-20,-7,-24,-60,-29,-2,-24,-1,-7,-24,-1,-93,-23,-12,-31,-28,-17,0},
    .length = 23
};

/* SubstrateLoader.dylib */
static EncryptStringData d21 = {
    .factor = (char)-3,
    .value = (char []){-82,-120,-97,-114,-119,-113,-100,-119,-104,-79,-110,-100,-103,-104,-113,-45,-103,-124,-111,-108,-97,0},
    .length = 21
};

/* TweakInject.dylib */
static EncryptStringData d22 = {
    .factor = (char)-91,
    .value = (char []){-15,-46,-64,-60,-50,-20,-53,-49,-64,-58,-47,-117,-63,-36,-55,-52,-57,0},
    .length = 17
};

/* WeeLoader */
static EncryptStringData d23 = {
    .factor = (char)-115,
    .value = (char []){-38,-24,-24,-63,-30,-20,-23,-24,-1,0},
    .length = 9
};

/* cyinject */
static EncryptStringData d24 = {
    .factor = (char)85,
    .value = (char []){54,44,60,59,63,48,54,33,0},
    .length = 8
};

/* libcycript */
static EncryptStringData d25 = {
    .factor = (char)108,
    .value = (char []){0,5,14,15,21,15,30,5,28,24,0},
    .length = 10
};

/* libhooker */
static EncryptStringData d26 = {
    .factor = (char)-78,
    .value = (char []){-34,-37,-48,-38,-35,-35,-39,-41,-64,0},
    .length = 9
};

/* libsparkapplist.dylib */
static EncryptStringData d27 = {
    .factor = (char)-35,
    .value = (char []){-79,-76,-65,-82,-83,-68,-81,-74,-68,-83,-83,-79,-76,-82,-87,-13,-71,-92,-79,-76,-65,0},
    .length = 21
};

/* zzzzLiberty.dylib */
static EncryptStringData d28 = {
    .factor = (char)-8,
    .value = (char []){-126,-126,-126,-126,-76,-111,-102,-99,-118,-116,-127,-42,-100,-127,-108,-111,-102,0},
    .length = 17
};

/* zzzzzzUnSub.dylib */
static EncryptStringData d29 = {
    .factor = (char)-38,
    .value = (char []){-96,-96,-96,-96,-96,-96,-113,-76,-119,-81,-72,-12,-66,-93,-74,-77,-72,0},
    .length = 17
};



/* /private/jailbreak.txt */
static EncryptStringData d50 = {
    .factor = (char)-100,
    .value = (char []){-77,-20,-18,-11,-22,-3,-24,-7,-77,-10,-3,-11,-16,-2,-18,-7,-3,-9,-78,-24,-28,-24,0},
    .length = 22
};

/* This is an anti-spoofing test. */
static EncryptStringData d51 = {
    .factor = (char)-99,
    .value = (char []){-55,-11,-12,-18,-67,-12,-18,-67,-4,-13,-67,-4,-13,-23,-12,-80,-18,-19,-14,-14,-5,-12,-13,-6,-67,-23,-8,-18,-23,-77,0},
    .length = 30
};

/* ATTrackingManager */
static EncryptStringData ad1 = {
    .factor = (char)-84,
    .value = (char []){-19,-8,-8,-34,-51,-49,-57,-59,-62,-53,-31,-51,-62,-51,-53,-55,-34,0},
    .length = 17
};

/* trackingAuthorizationStatus */
static EncryptStringData ad2 = {
    .factor = (char)39,
    .value = (char []){83,85,70,68,76,78,73,64,102,82,83,79,72,85,78,93,70,83,78,72,73,116,83,70,83,82,84,0},
    .length = 27
};

/* ASIdentifierManager */
static EncryptStringData ad3 = {
    .factor = (char)46,
    .value = (char []){111,125,103,74,75,64,90,71,72,71,75,92,99,79,64,79,73,75,92,0},
    .length = 19
};

/* sharedManager */
static EncryptStringData ad4 = {
    .factor = (char)57,
    .value = (char []){74,81,88,75,92,93,116,88,87,88,94,92,75,0},
    .length = 13
};

/* isAdvertisingTrackingEnabled */
static EncryptStringData ad5 = {
    .factor = (char)-58,
    .value = (char []){-81,-75,-121,-94,-80,-93,-76,-78,-81,-75,-81,-88,-95,-110,-76,-89,-91,-83,-81,-88,-95,-125,-88,-89,-92,-86,-93,-94,0},
    .length = 28
};

/* advertisingIdentifier */
static EncryptStringData ad6 = {
    .factor = (char)-18,
    .value = (char []){-113,-118,-104,-117,-100,-102,-121,-99,-121,-128,-119,-89,-118,-117,-128,-102,-121,-120,-121,-117,-100,0},
    .length = 21
};

/* UUIDString */
static EncryptStringData ad7 = {
    .factor = (char)-91,
    .value = (char []){-16,-16,-20,-31,-10,-47,-41,-52,-53,-62,0},
    .length = 10
};

/* iosIDFA */
static EncryptStringData ad8 = {
    .factor = (char)-22,
    .value = (char []){-125,-123,-103,-93,-82,-84,-85,0},
    .length = 7
};

/* SSID */
static EncryptStringData ssid = {
    .factor = (char)-115,
    .value = (char []){-34,-34,-60,-55,0},
    .length = 4
};

/* BSSID */
static EncryptStringData bssid = {
    .factor = (char)87,
    .value = (char []){21,4,4,30,19,0},
    .length = 5
};


}}

#endif /* aai_lib_obf_s_hpp */
